#ifndef CachedVariableValueH
#define CachedVariableValueH

#include "datatable/DataTable.h"


class CachedVariableValue
{

private:
    AgDatePtr timestamp;
    DataTablePtr value;

public:
    AgDatePtr getTimestamp();
    void setTimestamp(AgDatePtr timestamp);
    DataTablePtr getValue();
    void setValue(DataTablePtr value);

    CachedVariableValue(AgDatePtr timestamp, DataTablePtr value);
};

#endif
